org.eclnt.jsfserver.elements.componentnodes

## Class CLIENTDATAGRAMRECEIVERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.CLIENTDATAGRAMRECEIVERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class CLIENTDATAGRAMRECEIVERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CLIENTDATAGRAMRECEIVERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CLIENTDATAGRAMRECEIVERNode` | `bindActionListener(IActionListenerDelegation value)`
    `CLIENTDATAGRAMRECEIVERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `CLIENTDATAGRAMRECEIVERNode` | `bindAvoidvalidations(IDynamicContentBindingObject value)`
    `CLIENTDATAGRAMRECEIVERNode` | `bindBuffersize(IDynamicContentBindingObject value)`
    `CLIENTDATAGRAMRECEIVERNode` | `bindComment(IDynamicContentBindingObject value)`
    `CLIENTDATAGRAMRECEIVERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `CLIENTDATAGRAMRECEIVERNode` | `bindPort(IDynamicContentBindingObject value)`
    `CLIENTDATAGRAMRECEIVERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `CLIENTDATAGRAMRECEIVERNode` | `bindStatusbarneutral(IDynamicContentBindingObject value)`
    `CLIENTDATAGRAMRECEIVERNode` | `bindTimeout(IDynamicContentBindingObject value)`
    `CLIENTDATAGRAMRECEIVERNode` | `setActionListener(java.lang.String value)`
    `CLIENTDATAGRAMRECEIVERNode` | `setAdapterbinding(java.lang.String value)`
    `CLIENTDATAGRAMRECEIVERNode` | `setAttributemacro(java.lang.String value)`
    `CLIENTDATAGRAMRECEIVERNode` | `setAvoidvalidations(boolean value)`
    `CLIENTDATAGRAMRECEIVERNode` | `setAvoidvalidations(java.lang.String value)`
    `CLIENTDATAGRAMRECEIVERNode` | `setBuffersize(java.lang.String value)`
    `CLIENTDATAGRAMRECEIVERNode` | `setComment(java.lang.String value)`
    `CLIENTDATAGRAMRECEIVERNode` | `setConfiginfo(java.lang.String value)`
    `CLIENTDATAGRAMRECEIVERNode` | `setId(java.lang.String value)`
    `CLIENTDATAGRAMRECEIVERNode` | `setPort(int value)`
    `CLIENTDATAGRAMRECEIVERNode` | `setPort(java.lang.String value)`
    `CLIENTDATAGRAMRECEIVERNode` | `setReference(java.lang.String value)`
    `CLIENTDATAGRAMRECEIVERNode` | `setRendered(boolean value)`
    `CLIENTDATAGRAMRECEIVERNode` | `setRendered(java.lang.String value)`
    `CLIENTDATAGRAMRECEIVERNode` | `setStatusbarneutral(boolean value)`
    `CLIENTDATAGRAMRECEIVERNode` | `setStatusbarneutral(java.lang.String value)`
    `CLIENTDATAGRAMRECEIVERNode` | `setTimeout(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CLIENTDATAGRAMRECEIVERNode

          public CLIENTDATAGRAMRECEIVERNode()

  - ### Method Detail

    - #### setId

          public CLIENTDATAGRAMRECEIVERNode setId(java.lang.String value)

    - #### setActionListener

          public CLIENTDATAGRAMRECEIVERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public CLIENTDATAGRAMRECEIVERNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public CLIENTDATAGRAMRECEIVERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public CLIENTDATAGRAMRECEIVERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public CLIENTDATAGRAMRECEIVERNode setAttributemacro(java.lang.String value)

    - #### setAvoidvalidations

          public CLIENTDATAGRAMRECEIVERNode setAvoidvalidations(java.lang.String value)

    - #### bindAvoidvalidations

          public CLIENTDATAGRAMRECEIVERNode bindAvoidvalidations(IDynamicContentBindingObject value)

    - #### setAvoidvalidations

          public CLIENTDATAGRAMRECEIVERNode setAvoidvalidations(boolean value)

    - #### setBuffersize

          public CLIENTDATAGRAMRECEIVERNode setBuffersize(java.lang.String value)

    - #### bindBuffersize

          public CLIENTDATAGRAMRECEIVERNode bindBuffersize(IDynamicContentBindingObject value)

    - #### setComment

          public CLIENTDATAGRAMRECEIVERNode setComment(java.lang.String value)

    - #### bindComment

          public CLIENTDATAGRAMRECEIVERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public CLIENTDATAGRAMRECEIVERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public CLIENTDATAGRAMRECEIVERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setPort

          public CLIENTDATAGRAMRECEIVERNode setPort(java.lang.String value)

    - #### bindPort

          public CLIENTDATAGRAMRECEIVERNode bindPort(IDynamicContentBindingObject value)

    - #### setPort

          public CLIENTDATAGRAMRECEIVERNode setPort(int value)

    - #### setReference

          public CLIENTDATAGRAMRECEIVERNode setReference(java.lang.String value)

    - #### setRendered

          public CLIENTDATAGRAMRECEIVERNode setRendered(java.lang.String value)

    - #### bindRendered

          public CLIENTDATAGRAMRECEIVERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public CLIENTDATAGRAMRECEIVERNode setRendered(boolean value)

    - #### setStatusbarneutral

          public CLIENTDATAGRAMRECEIVERNode setStatusbarneutral(java.lang.String value)

    - #### bindStatusbarneutral

          public CLIENTDATAGRAMRECEIVERNode bindStatusbarneutral(IDynamicContentBindingObject value)

    - #### setStatusbarneutral

          public CLIENTDATAGRAMRECEIVERNode setStatusbarneutral(boolean value)

    - #### setTimeout

          public CLIENTDATAGRAMRECEIVERNode setTimeout(java.lang.String value)

    - #### bindTimeout

          public CLIENTDATAGRAMRECEIVERNode bindTimeout(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.